<Input::ContainerGroup
  @title={{@title}}

  @onSave={{this.save}}
  @onCancel={{this.cancel}}
  @onEdit={{@onEdit}}

  @editablePanel={{@editablePanel}}
  @savingPanel={{@savingPanel}}

  as |isEdit|
>
  {{#if isEdit}}
    <Input::Icons::ParentIcon @value={{this.value}} @store={{this.store}} @onChange={{this.parentIconChanged}}/>
  {{else if @value}}
    <img class="icon-preview" src={{@value.image.value}} alt={{@value.localName}}>

    <LinkTo @route="browse.sites" @query={{hash icon=@value.id}}>
      {{@value.localName}}
    </LinkTo>
  {{else}}
    {{t "not set"}}
  {{/if}}
</Input::ContainerGroup>